Main Page Widgets Namespaces Book

# Gdk::PixbufLoader Class Reference

Inheritance diagram for Gdk::PixbufLoader:

[legend]
List of all members.

## Public Member Functions

virtual | ~PixbufLoader ()
GdkPixbufLoader* | gobj ()
| Provides access to the underlying C GObject.
const GdkPixbufLoader* | gobj () const
| Provides access to the underlying C GObject.
GdkPixbufLoader* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_size (int width, int height)
void | write (const guint8* buf, gsize count)
| Causes the pixbuf loader to parse the next count bytes of an image.
void | close ()
| Informs a pixbuf loader that no further writes with PixbufLoader::write() will occur, so that it can free its internal loading structures.
Glib::RefPtr<Gdk::Pixbuf> | get_pixbuf ()
Glib::RefPtr<Gdk::PixbufAnimation> | get_animation ()
PixbufFormat | get_format () const
Glib::SignalProxy0<void> | signal_area_prepared ()
Glib::SignalProxy4< void, int, int, int, int > | signal_area_updated ()
Glib::SignalProxy0<void> | signal_closed ()

## Static Public Member Functions

Glib::RefPtr<PixbufLoader> | create ()
| Creates a new pixbuf loader object.
Glib::RefPtr<PixbufLoader> | create (const Glib::ustring& image_type, bool mime_type=false)
| Constructs a pixbuf loader object for a specific image type.

## Protected Member Functions

| PixbufLoader ()
| Constructs a pixbuf loader object.
| PixbufLoader (const Glib::ustring& image_type, bool mime_type=false)
| Constructs a pixbuf loader object for a specific image type.
virtual void | on_area_prepared ()
virtual void | on_area_updated (int x, int y, int width, int height)
virtual void | on_closed ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gdk::PixbufLoader> | wrap (GdkPixbufLoader* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::PixbufLoader::~PixbufLoader | ( |  | ) | `[virtual]`

Gdk::PixbufLoader::PixbufLoader | ( |  | ) | `[protected]`

| Constructs a pixbuf loader object.

Gdk::PixbufLoader::PixbufLoader | ( | const Glib::ustring& | image_type,
|  | bool | mime_type = `false`
| ) | `[explicit, protected]`

Constructs a pixbuf loader object for a specific image type.

Constructs a new pixbuf loader object that always attempts to parse image data as if it were an image of type image_type, instead of identifying the type automatically. Useful if you want an error if the image isn't the expected type, for loading image formats that can't be reliably identified by looking at the data, or if the user manually forces a specific type.

The image_type can be one of the types returned by Gdk::Pixbuf::get_formats(), or a MIME type.

Common MIME Types are listed here http://www.iana.org/assignments/media-types/ and here: http://www.freedesktop.org/Software/shared-mime-info

Parameters:

  | image_type | Name of the image format to be loaded with the image.
  | mime_type | If this is true then the image_type is a MIME type.

Exceptions:

  | Gdk::PixbufError |

## Member Function Documentation

void Gdk::PixbufLoader::close | ( |  | ) |

Informs a pixbuf loader that no further writes with PixbufLoader::write() will occur, so that it can free its internal loading structures.

Also, tries to parse any data that hasn't yet been parsed; if the remaining data is partial or corrupt, an exception will be thrown. If you're just cancelling a load rather than expecting it to be finished, writing an empty `catch()` block to ignore errors is reasonable.

Exceptions:

  | Gdk::PixbufError |
  | Glib::FileError |

Glib::RefPtr<PixbufLoader> Gdk::PixbufLoader::create | ( | const Glib::ustring& | image_type,
|  | bool | mime_type = `false`
| ) | `[static]`

Constructs a pixbuf loader object for a specific image type.

Constructs a new pixbuf loader object that always attempts to parse image data as if it were an image of type image_type, instead of identifying the type automatically. Useful if you want an error if the image isn't the expected type, for loading image formats that can't be reliably identified by looking at the data, or if the user manually forces a specific type.

The image_type can be one of the types returned by Gdk::Pixbuf::get_formats(), or a MIME type.

Common MIME Types are listed here http://www.iana.org/assignments/media-types/ and here: http://www.freedesktop.org/Software/shared-mime-info

Parameters:

  | image_type | Name of the image format to be loaded with the image.
  | mime_type | If this is true then the image_type is a MIME type.

Exceptions:

  | Gdk::PixbufError |

Glib::RefPtr<PixbufLoader> Gdk::PixbufLoader::create | ( |  | ) | `[static]`

Creates a new pixbuf loader object.

Returns:
  A newly-created pixbuf loader.

Glib::RefPtr<Gdk::PixbufAnimation> Gdk::PixbufLoader::get_animation | ( |  | ) |

PixbufFormat Gdk::PixbufLoader::get_format | ( |  | ) | const

Glib::RefPtr<Gdk::Pixbuf> Gdk::PixbufLoader::get_pixbuf | ( |  | ) |

const GdkPixbufLoader* Gdk::PixbufLoader::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkPixbufLoader* Gdk::PixbufLoader::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkPixbufLoader* Gdk::PixbufLoader::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gdk::PixbufLoader::on_area_prepared | ( |  | ) | `[protected, virtual]`

virtual void Gdk::PixbufLoader::on_area_updated | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[protected, virtual]`

virtual void Gdk::PixbufLoader::on_closed | ( |  | ) | `[protected, virtual]`

void Gdk::PixbufLoader::set_size | ( | int | width,
|  | int | height
| ) |

Glib::SignalProxy0<void> Gdk::PixbufLoader::signal_area_prepared | ( |  | ) |

Glib::SignalProxy4<void,int,int,int,int> Gdk::PixbufLoader::signal_area_updated | ( |  | ) |

Glib::SignalProxy0<void> Gdk::PixbufLoader::signal_closed | ( |  | ) |

void Gdk::PixbufLoader::write | ( | const guint8* | buf,
|  | gsize | count
| ) |

Causes the pixbuf loader to parse the next count bytes of an image.

It will return if the data was loaded successfully, and throw an exception if an error occurred. In the latter case, the loader will be closed, and will not accept further writes.

Parameters:

  | buf | Pointer to image data.
  | count | Length of the buf buffer in bytes.

Exceptions:

  | Gdk::PixbufError |
  | Glib::FileError |

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::PixbufLoader> wrap | ( | GdkPixbufLoader* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pixbufloader.h